Bug 122522 - USB 2.0 (ehci-hcd) support for MaPower Map-H31S external USB2.0 enclosure
USB 2.0 (ehci-hcd) support for MaPower Map-H31S external USB2.0 enclosure
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-05 10:06 EDT by bit
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-05-05 19:54:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description bit 2004-05-05 10:06:52 EDT
Description of problem:
When trying to use the external USB 2.0 enclosure Map-H31S from
MapPower several access and I/O problems occur, while the USB 1.1
support for this device works perfectly.

In-Depth Description:
When using the ehci-hcd module it is possible to mount the device
without any error message. But when trying to access any of the files
on the external USB drive it is not possible to do so.
Copying a file from the USB hd hangs after 32 to 128 kB (128 kB in
Nautilus, 32 kB in Konqueror)
kill -9 has no direct effect when trying to kill the hanging copy
process, but after a while (about 30 sec) the copy process terminates.
It is then possible to umount the device, but trying to mont it again,
results in an error message: no blockoriented device. Using '-o loop'
which shouldn't be necessary, results in another error message: no
device found.
Reboot solves the problem. The device is then mountable again.

Version-Release number of selected component (if applicable):
Kernel version 2.4.22-2188

How reproducible:
Always

Steps to Reproduce:
1. mount device with ehci-hcd module loaded
2. access file on device (for example copy a file)
3. stop hanging copy process and umount
4. remount not possible
  
Actual results:
Not possible to use USB 2.0 capability

Expected results:
Usage of USB 2.0 capability

Additional info:
Comment 1 bit 2004-05-05 11:17:23 EDT
The Chipset used in the enclosure is GeneSys
Bus 002 Device 002: ID 05e3:0702 Genesys Logic, Inc.
Comment 2 bit 2004-05-05 19:54:30 EDT
After editing /usr/src/linux-2.6.5-327/drivers/usb/storage/scsiglue.c
and changing
 /* limit the total size of a transfer to 120 KB */
     .max_sectors =                  240,

to:

/* limit the total size of a transfer to 64 KB */
.max_sectors =                  128,

and finally compiling the 2.6.5 custom kernel, resolves the issue.
Comment 3 Pete Zaitcev 2004-05-06 10:42:45 EDT
OK. FC2 is going to change that parameter automatically as it
detects GeneSys.

Note You need to log in before you can comment on or make changes to this bug.